Summary: DNEWS NNTP news server
Name: dnews
Version: 4.6j
Release: 2
Copyright: commercial
Vendor: NetWin LTD
URL: http://www.netwinsite.com
ExclusiveArch: i386
Group: Networking/News
Source0: ftp://ftp.netwinsite.com/pub/netwinsite/dnews/dnews46j_linux.tar.Z
Source1: dnews.logrotate
Patch: dnews-redhat.patch
BuildRoot: /var/tmp/dnews-root

%changelog

* Wed Jul 1 1998 Peter Soos <sp@osb.hu>

- Really moved to 4.6j. Sorry.

* Wed Jun 24 1998 Peter Soos <sp@osb.hu>

- Moved to version 4.6j.
- Using %attr.

* Wed Dec 23 1997 Peter Soos <sp@osb.hu>

- Moved to version 4.5n.

* Fri Dec 6 1997 Peter Soos <sp@osb.hu>

- Modified for RedHat Linux 5.0.
- Using BuildRoot for package building.

%description
DNEWS is a fast, efficient, low management, dynamic NNTP news server system. It is not a news reader but rather it is the server which a news reader reads news from. You may try this software for 4 weeks at no charge. After that period you MUST register your copy or stop using it, if you are a University or School using this software for a NON PROFIT purpose then you can register for free.

%prep
%setup -n dnews
%patch -p1 -b .sp

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib/dnews
mkdir -p $RPM_BUILD_ROOT/usr/share/dnews/web
mkdir -p $RPM_BUILD_ROOT/etc/dnews
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc0.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc1.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc2.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc3.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc4.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc5.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc6.d
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
mkdir -p $RPM_BUILD_ROOT/var/spool/dnews
mkdir -p $RPM_BUILD_ROOT/var/log/dnews
install -m 755 dnews dnews_start dmulti xmit $RPM_BUILD_ROOT/usr/lib/dnews
install -m 755 dposter drobot $RPM_BUILD_ROOT/usr/lib/dnews
install -m 755 tellnews $RPM_BUILD_ROOT/usr/bin
install -m 664 dnews.conf $RPM_BUILD_ROOT/etc
install -m 660 access.conf control.conf $RPM_BUILD_ROOT/etc/dnews
install -m 660 expire.conf fts.conf moderators.conf $RPM_BUILD_ROOT/etc/dnews
install -m 660 newsfeeds.conf $RPM_BUILD_ROOT/etc/dnews
install -m 660 nocached.head nocached.body $RPM_BUILD_ROOT/etc/dnews
install -m 660 dnewsweb.ini setfeed.ini $RPM_BUILD_ROOT/etc/dnews
ln -sf ../../../etc/dnews/access.conf $RPM_BUILD_ROOT/usr/lib/dnews/access.conf
ln -sf ../../../etc/dnews/control.conf $RPM_BUILD_ROOT/usr/lib/dnews/control.conf
ln -sf ../../../etc/dnews/expire.conf $RPM_BUILD_ROOT/usr/lib/dnews/expire.conf
ln -sf ../../../etc/dnews/fts.conf $RPM_BUILD_ROOT/usr/lib/dnews/fts.conf
ln -sf ../../../etc/dnews/moderators.conf $RPM_BUILD_ROOT/usr/lib/dnews/moderators.conf
ln -sf ../../../etc/dnews/newsfeeds.conf $RPM_BUILD_ROOT/usr/lib/dnews/newsfeeds.conf
ln -sf ../../../etc/dnews/nocached.body $RPM_BUILD_ROOT/usr/lib/dnews/nocached.body
ln -sf ../../../etc/dnews/nocached.head $RPM_BUILD_ROOT/usr/lib/dnews/nocached.head
ln -sf ../../../etc/dnews/dnewsweb.ini $RPM_BUILD_ROOT/usr/lib/dnews/dnewsweb.ini
ln -sf ../../../etc/dnews/setfeed.ini $RPM_BUILD_ROOT/usr/lib/dnews/setfeed.ini
install -m 755 dnews.init $RPM_BUILD_ROOT/etc/rc.d/init.d/dnews
ln -sf ../init.d/dnews $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K25dnews
ln -sf ../init.d/dnews $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K25dnews
ln -sf ../init.d/dnews $RPM_BUILD_ROOT/etc/rc.d/rc2.d/K25dnews
ln -sf ../init.d/dnews $RPM_BUILD_ROOT/etc/rc.d/rc3.d/K25dnews
ln -sf ../init.d/dnews $RPM_BUILD_ROOT/etc/rc.d/rc5.d/K25dnews
ln -sf ../init.d/dnews $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K25dnews
install -m 755 dnewsweb gupcgi $RPM_BUILD_ROOT/usr/lib/dnews
install -m 664 *.htm *.tpl $RPM_BUILD_ROOT/usr/share/dnews/web
install -m 664 $RPM_SOURCE_DIR/dnews.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/dnews

%post
/sbin/chkconfig --add dnews

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del dnews
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-, root, root) %doc *.txt *.1
%attr(2770, news, news) %dir /var/spool/dnews
%attr(2770, news, news) %dir /var/log/dnews
%attr(2770, root, news) %dir /etc/dnews
%attr(-, root, news) %config /etc/dnews.conf
%attr(-, root, news) %config /etc/dnews/*.conf 
%attr(-, root, news) %config /etc/dnews/*.ini 
%attr(-, root, news) %config /etc/dnews/nocached.*
%attr(-, root, root) /usr/lib/dnews
%attr(-, root, root) %dir /usr/share/dnews
%attr(-, root, news) /usr/share/dnews/web
%attr(-, root, root) /usr/bin/tellnews
%attr(-, root, root) /etc/rc.d/init.d/dnews
%attr(-, root, root) /etc/logrotate.d/dnews
